program doxy_mod_test
    use mod
    implicit none
    
    ! The inheritance relation here is marked as an unknown "base_type", i.e.
    ! it is not resolved to mod::base_type
    ! This is a workaround, but shows other_child as using multiple inheritance
    !> @extends mod::base_type
    type, extends(base_type) :: other_child
        complex :: y
    end type
    
    ! As before, this does not work. The workaround is still valid with the
    ! same caveat (the class appearing to use multiple inheritance and the
    ! actual base class still being listed as unknown)
    ! It is important to note that writing @extends mod::AnotherBase (with the
    ! capitals DOES NOT work, but it should since Fortran is not case-sensitive)
    !> @extends mod::anotherbase
    type, extends(anotherbase) :: Child3
        logical :: l
    end type
    
    
    write(*,*) "Doxygen Fortran 2003 inheritance tests"
    
end program
